Bug 1004913 - Review Request: perl-Gtk2-SourceView2 - Perl bindings for the GtkSourceView 2.x widget
Review Request: perl-Gtk2-SourceView2 - Perl bindings for the GtkSourceView 2...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Björn "besser82" Esser
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 13:52 EDT by Thomas Moschny
Modified: 2014-06-05 17:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Gtk2-SourceView2-0.10-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-05 17:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2013-09-05 13:52:56 EDT
Spec URL: http://thm.fedorapeople.org/perl-Gtk2-SourceView2/perl-Gtk2-SourceView2.spec
SRPM URL: http://thm.fedorapeople.org/perl-Gtk2-SourceView2/perl-Gtk2-SourceView2-0.10-1.fc21.src.rpm
Description:
Perl bindings for the C library "libgtksourceview2" that extends the
standard GTK+ framework for multiline text editing with support for
configurable syntax highlighting, unlimited undo/redo, UTF-8 compliant
caseless searching, printing and other features typical of a source
code editor.
Fedora Account System Username: thm
Comment 1 Björn "besser82" Esser 2013-09-07 06:12:29 EDT
Package has some minor issues, but no blockers, so you can fixup during SCM-import.  :)

#####

Package Review
==============

Legend:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated


===== MUST items =====

C/C++:
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

     ---> false positive.  this is supposed to be the case on c-compiled
          perl-modules.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/besser82/shared/fedora/review/1004913-perl-
     Gtk2-SourceView2/licensecheck.txt
[-]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/lib64/perl5/vendor_perl/Gtk2(perl-Gtk2-Sexy, perl-Gtk2-ImageView,
     perl-Gtk2-SourceView, perl-Gtk2-TrayIcon, perl-Gtk2-GladeXML, perl-
     Gtk2-Unique, perl-Gtk2, perl-Gtk2-Notify),
     /usr/lib64/perl5/vendor_perl/auto(perl-libs),
     /usr/lib64/perl5/vendor_perl/auto/Gtk2(perl-Gtk2-Sexy, perl-Gtk2, perl-
     Gtk2-TrayIcon, perl-Gtk2-GladeXML, perl-Gtk2-WebKit, perl-
     Gtk2-SourceView, perl-Gtk2-Notify)

     ---> the mentioned dirs are not owned by any filesystem-pkg or such.
          they seem to be specific to Gtk2-based perl-modules, so this
          OK as is.

[!]: %build honors applicable compiler flags or justifies otherwise.

     ---> it seems system's LDFLAGS are not exported properly.
          This can be fixed by adding "%configure ||:" atop of %build.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).

     ---> hardcoded name && version in Source0.  please fix.
          use %global if needed.

[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: Package contains the mandatory BuildRequires and Requires:.
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Gtk2-SourceView2-0.10-1.fc21.x86_64.rpm
          perl-Gtk2-SourceView2-0.10-1.fc21.src.rpm
perl-Gtk2-SourceView2.x86_64: W: spelling-error %description -l en_US multiline -> multilingual
perl-Gtk2-SourceView2.x86_64: W: spelling-error %description -l en_US caseless -> ceaseless, causeless, careless
perl-Gtk2-SourceView2.src: W: spelling-error %description -l en_US multiline -> multilingual
perl-Gtk2-SourceView2.src: W: spelling-error %description -l en_US caseless -> ceaseless, causeless, careless
perl-Gtk2-SourceView2.src: W: strange-permission perl-Gtk2-SourceView2.spec 0600L
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint perl-Gtk2-SourceView2
perl-Gtk2-SourceView2.x86_64: W: spelling-error %description -l en_US multiline -> multilingual
perl-Gtk2-SourceView2.x86_64: W: spelling-error %description -l en_US caseless -> ceaseless, causeless, careless
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
perl-Gtk2-SourceView2 (rpmlib, GLIBC filtered):
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libgtksourceview-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libperl.so.5.18()(64bit)
    perl(:MODULE_COMPAT_5.18.1)
    perl(DynaLoader)
    perl(Gtk2)
    perl(base)
    perl(strict)
    perl(warnings)
    rtld(GNU_HASH)



Provides
--------
perl-Gtk2-SourceView2:
    perl(Gtk2::SourceView2)
    perl-Gtk2-SourceView2
    perl-Gtk2-SourceView2(x86-64)



Unversioned so-files
--------------------
perl-Gtk2-SourceView2: /usr/lib64/perl5/vendor_perl/auto/Gtk2/SourceView2/SourceView2.so

Source checksums
----------------
http://search.cpan.org/CPAN/authors/id/P/PO/POTYL/Gtk2-SourceView2-0.10.tar.gz :
  CHECKSUM(SHA256) this package     : ba15f97fd6bd8c1481e8b06a8d6c7b1e450e5580d1584cbc23080ea3d626c0e5
  CHECKSUM(SHA256) upstream package : ba15f97fd6bd8c1481e8b06a8d6c7b1e450e5580d1584cbc23080ea3d626c0e5


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1004913
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, SugarActivity, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

#####

APPROVED!!!
Comment 2 Thomas Moschny 2013-10-16 13:52:29 EDT
New Package SCM Request
=======================
Package Name: perl-Gtk2-SourceView2
Short Description: Perl bindings for the GtkSourceView 2.x widget
Owners: thm
Branches: f19 f20
InitialCC:
Comment 3 Gwyn Ciesla 2013-10-16 15:49:24 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2014-05-24 12:43:59 EDT
perl-Gtk2-SourceView2-0.10-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/perl-Gtk2-SourceView2-0.10-1.fc19
Comment 5 Fedora Update System 2014-05-24 12:44:50 EDT
perl-Gtk2-SourceView2-0.10-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Gtk2-SourceView2-0.10-1.fc20
Comment 6 Fedora Update System 2014-05-25 19:28:09 EDT
perl-Gtk2-SourceView2-0.10-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 7 Fedora Update System 2014-06-05 17:52:57 EDT
perl-Gtk2-SourceView2-0.10-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 8 Fedora Update System 2014-06-05 17:55:34 EDT
perl-Gtk2-SourceView2-0.10-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.